#include <iostream>

using namespace std;

int main()
{
    int N, L, R;
    cin >> N;
    int A[N], B[N];
    for(int i = 0; i < N; i++)
    {
        cin >> A[i];
    }
    for(int i = 0; i < N; i++)
    {
        cin >> B[i];
    }
    int najveci = A[0] * B[0], a1, b1 = 1;
    for(int i = 0; i < N; i++)
    {
        for(int j = 0; j < i; j++)
        {
            R = i;
            L = j;
            for(int k = L; k <= R; k++)
            {
                a1 = a1 + A[k];
                b1 = b1 && B[k];
            }
            if((a1*b1) > najveci)
                najveci = a1*b1;
            a1 = 0;
            b1 = 1;
        }
    }
    cout << najveci;
    return 0;
}